注册 登录  
 加关注
   显示下一条  |  关闭
温馨提示!由于新浪微博认证机制调整,您的新浪微博帐号绑定已过期,请重新绑定!立即重新绑定新浪微博》  |  关闭

艾伯特的鸟屋

 
 
 

日志

 
 

gnome下cairo编译的问题  

2013-09-24 03:16:11|  分类: linux |  标签: |举报 |字号 订阅

  下载LOFTER 我的照片书  |
cairo:autogen.sh
configure: error: mandatory image surface backend feature could not be enabled

解决:
sudo apt-get install libpixman-1-dev 

但仍有可能出现错误:
1)没有pixman
在/usr/下寻找pixman-1.pc,然后在其所在目录下:
ln -s pixman-1.pc pixman.pc
2)pixman版本过低
cairo对相应的pixman版本要求很高,因此如下命令看版本是否符合:
$pkg-config --modversion pixman
从网上获取最新的pixman:http://pixman.org/
然后下载,编译安装
autogen.sh
make
sudo make install
然后注意:pixman安装到哪个目录下(缺省/usr/local/lib下)
将原来的libpixman-1*.*删除,再用新版本替换
并覆盖旧版本的pixman.pc

  评论这张
 
阅读(1528)| 评论(0)
推荐 转载

历史上的今天

在LOFTER的更多文章

评论

<#--最新日志,群博日志--> <#--推荐日志--> <#--引用记录--> <#--博主推荐--> <#--随机阅读--> <#--首页推荐--> <#--历史上的今天--> <#--被推荐日志--> <#--上一篇,下一篇--> <#-- 热度 --> <#-- 网易新闻广告 --> <#--右边模块结构--> <#--评论模块结构--> <#--引用模块结构--> <#--博主发起的投票-->
 
 
 
 
 
 
 
 
 
 
 
 
 
 

页脚

网易公司版权所有 ©1997-2017